<div ng-controller="ReporteOperadorCtrl">
	<div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <!-- <li>
                  <a ui-sref="home.dashboard">Reportes</a>
                </li> -->
              </ul>
            </div>
        </div>
        <div class="card-container">
			<div class="panel panel-success">
				<div class="panel-heading">
					<h3 class="panel-title"><i class="fa fa-file-excel-o"></i> Reporte de contenedores por operador</h3>
				</div>
				<div class="panel-body">
					<span class="label label-info">Nota:</span> Solo se listan los años que tienen semanas aperturadas.
					<hr>
					<div class="row">
						<div class="col-md-3">
							<div class="form-group">
								<label for="">Año</label>
								<select class="form-control" ng-model="obj.id_anio" ng-change="listSemana(obj.id_anio)" ng-options="an.id as an.anio for an in anios">
		                            <option value="">-- Año --</option>
		                        </select>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<label for="">Semana</label>
								<select class="form-control" ng-model="obj.id_semana" ng-disabled="!obj.id_anio" ng-options="sem.id as sem.nombre for sem in semanas">
		                            <option value="">-- Semana --</option>
		                        </select>
							</div>
						</div>
						<div class="col-md-3">
							<div class="form-group">
								<label for="">Operador</label>
								<select class="form-control" ng-model="obj.id_operador" ng-disabled="!obj.id_anio" ng-options="ope.id as ope.nombre for ope in operadores">
		                            <option value="">-- Operador --</option>
		                        </select>
							</div>
						</div>
						<div class="col-md-3">
							<br>
							<button ng-if="!flagLoad" class="btn btn-border btn-rounded-10 btn-default" ng-disabled="!obj.id_operador" ng-click="preview(obj)"><i class="fa fa-desktop"></i> Vista Previa</button>
							<button ng-if="flagLoad" class="btn btn-border btn-rounded-10 btn-default"><i class="fa fa-spinner fa-spin"></i> consultando información...</button>
						</div>
					</div>
					<div class="row">
						<div class="col-md-12">
							<hr>
						</div>
						<div class="col-md-6"  ng-if="flag">
							<button ng-if="!flagLoadReport" class="btn btn-border btn-rounded-10 btn-success" ng-click="downloadReport(obj)"><i class="fa fa-download"></i> exportar a excel</button>
							<button ng-if="flagLoadReport" class="btn btn-border btn-rounded-10 btn-success"><i class="fa fa-spinner fa-spin"></i> descargando, por favor espere...</button>
						</div>
						<div class="col-md-6"  ng-if="flag">
	                        <div class="pull-right">
	                           <h4 ><strong>Cantidad : {{containers.length}} Contenedores</strong></h4> 
	                        </div>
	                    </div>
						
						<div class="col-md-12" ng-if="containers">
							<h4 ng-if="!flag">{{containers}}</h4>
							<br>
							<div ng-if="flag" class="table-responsive">
				                <table class="table table-bordered">
				                    <tr style="background:#F2F2F2">
				                        <th style="vertical-align: middle;">Estado</th>
				                        <th style="vertical-align: middle;">W</th>
				                        <th style="vertical-align: middle;">Inicio Proceso</th>
				                        <th style="vertical-align: middle;">Fin Proceso</th>
				                        <th style="vertical-align: middle;">Operador</th>
				                        <th style="vertical-align: middle;">Línea</th>
				                        <th style="vertical-align: middle;">Nave</th>
				                        <th style="vertical-align: middle;">Booking</th>
				                        <th style="vertical-align: middle;">Cliente</th>
				                        <th style="vertical-align: middle;">Cantidad Cajas</th>
                                        <th style="vertical-align: middle;">Marca</th>
				                        <th style="vertical-align: middle;">Contenedor</th>
				                        <th style="vertical-align: middle;">Orden/Referencia</th>
				                        <th style="vertical-align: middle;">Destino</th>
				                        <th style="vertical-align: middle;">Fecha Zarpe</th>
				                        <th style="vertical-align: middle;">Fecha Llegada</th>
			                            <th style="vertical-align: middle;">Factura</th>
			                            <th style="vertical-align: middle;">Packing</th>
			                            <th style="vertical-align: middle;">Certificado</th>
			                            <th style="vertical-align: middle;">Valija</th>
			                            <th style="vertical-align: middle;">BL's</th>
				                    </tr>
				                    <tbody dir-paginate="con in containers |filter: buscar | itemsPerPage: 10" pagination-id="con.id_contenedor">
				                        <tr>
				                            <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}">
				                                <span class="badge" style="background: {{con.color_estado}};">{{con.estado}}</span>
				                            </td>
				                            <td style="vertical-align: middle;" rowspan="{{con.cajas.length+1}}" nowrap>
				                                <small>{{con.semana}}</small>
				                            </td>
				                            <td style="vertical-align: middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.dia_proceso_inicio | date:'dd-MM-yyyy'}}</small></td>
				                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.dia_proceso_fin | date:'dd-MM-yyyy'}}</small></td>
				                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.operador}}</small></td>
				                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.linea_naviera}}</small></td>
				                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.sigla_linea_naviera}} {{con.nave}} V. {{con.viaje}}</small></td>
				                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.booking}}</small></td>
				                            <td style="vertical-align: middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}" nowrap><small>{{con.cliente}}</small></td>
				                            <td style="vertical-align: middle;" nowrap>{{ con.cajas[0].cantidad_cajas }}</td>
                                			<td style="vertical-align: middle;" nowrap>{{con.cajas[0].marca}}</td>
				                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.numero_contenedor}}</small></td>
				                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.referencia}}</small></td>
				                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.puerto_destino}}</small></td>
				                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.dia_zarpe | date:'dd-MM-yyyy'}}</small></td>
				                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}"><small>{{con.dia_llegada | date:'dd-MM-yyyy'}}</small></td>
				                            <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
			                                    <span style="color: white;background: {{con.color_estado_factura}};" class="label">{{con.estado_factura}}</span>
			                                </td>
			                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
			                                    <span style="color: white;background: {{con.color_estado_packing}};" class="label">{{con.estado_packing}}</span>
			                                </td>
			                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
			                                    <span style="color: white;background: {{con.color_estado_certificado}};" class="label">{{con.estado_certificado}}</span>
			                                </td>
			                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
			                                    <span style="color: white;background: {{con.color_estado_valija}};" class="label">{{con.estado_valija}}</span>
			                                </td>
			                                <td style="vertical-align:middle;white-space: nowrap;" rowspan="{{con.cajas.length+1}}">
			                                    <span style="color: white;background: {{con.color_estado_vl}};" class="label">{{con.estado_vl}}</span>
			                                </td>
				                        </tr>
				                        <tr ng-repeat="caj in con.cajas.slice(1,con.cajas.length)">
			                                <td nowrap>{{caj.cantidad_cajas}}</td>
			                                <td nowrap>{{caj.marca}}</td>
			                            </tr>
				                    </tbody>
				                </table>
				            </div>
			                <div class="text-center">
			                    <dir-pagination-controls pagination-id="con.id_contenedor"></dir-pagination-controls>
			                </div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>